#ifndef XCLEAFBRUSHNODELEAF_H
#define XCLEAFBRUSHNODELEAF_H

#include "xcleafbrushnodedata.h"

class XCLeafBrushNodeLeaf : public XCLeafBrushNodeData
{
public:
    explicit XCLeafBrushNodeLeaf();
    ~XCLeafBrushNodeLeaf() = default;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    QVector<quint32> mBrushes;
};

#endif // XCLEAFBRUSHNODELEAF_H
